pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/misc/screen Fix a compile issue under /current. Screen...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/3a820bcb86c4
branches:  trunk
changeset: 476636:3a820bcb86c4
user:      christos <christos%pkgsrc.org@localhost>
date:      Wed Jun 16 21:35:00 2004 +0000

description:
Fix a compile issue under /current. Screen wrongly detects that we have
svr4 ptys because of /dev/ptmx, but erroneously wants <sys/stropts.h>
because of that define. Fix properly, by detecting the presense of
<sys/stropts.h> before including it.

I am not bumping the nb number because nothing realy changes; you'll
get the same binary if you recompile.

XXX: The utmp stuff is still completely broken, that is why this is still
setuid.

diffstat:

 misc/screen/distinfo         |    8 +-
 misc/screen/patches/patch-aa |   17 +++-
 misc/screen/patches/patch-aj |   36 ++++++++-
 misc/screen/patches/patch-ak |  157 +++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 200 insertions(+), 18 deletions(-)

diffs (262 lines):

diff -r 782140249306 -r 3a820bcb86c4 misc/screen/distinfo
--- a/misc/screen/distinfo      Wed Jun 16 20:53:33 2004 +0000
+++ b/misc/screen/distinfo      Wed Jun 16 21:35:00 2004 +0000
@@ -1,12 +1,12 @@
-$NetBSD: distinfo,v 1.19 2004/01/06 18:10:46 wiz Exp $
+$NetBSD: distinfo,v 1.20 2004/06/16 21:35:00 christos Exp $
 
 SHA1 (screen-4.0.2.tar.gz) = 461eb9d5edc211e1480d7b5e94d89c4d9ba3643f
 Size (screen-4.0.2.tar.gz) = 840519 bytes
-SHA1 (patch-aa) = 57a7800823cf46c42011f7703fd9949bc614736d
+SHA1 (patch-aa) = f3f56a45dc7ab55db41b1a8d16a26134691280b1
 SHA1 (patch-ae) = dcdbb1ca08e36308f5659a90a5b6f31fb3a45691
 SHA1 (patch-ai) = a3d2c7d2ef3db9deb7a5e70ed7f906efd3196af6
-SHA1 (patch-aj) = 8aa5c79e483e500ca9b3ed978835bbf1a866a5dc
-SHA1 (patch-ak) = 1e83c3406fb862e15f0fd5b90da8cf5310fbb68b
+SHA1 (patch-aj) = 0ad615b41ce61175a157eeb984b02de3cb9507ef
+SHA1 (patch-ak) = 20254505d621a994befc2e1bfef56c9291d09fe6
 SHA1 (patch-al) = 6ee93058847f3894a886346676e4a613c0bd134e
 SHA1 (patch-am) = 5fdc32f33ebbb5385292919f6cd01bedc30491d9
 SHA1 (patch-an) = 79d84b0caaad6044cf81c0fcfc1cd8470c9378d8
diff -r 782140249306 -r 3a820bcb86c4 misc/screen/patches/patch-aa
--- a/misc/screen/patches/patch-aa      Wed Jun 16 20:53:33 2004 +0000
+++ b/misc/screen/patches/patch-aa      Wed Jun 16 21:35:00 2004 +0000
@@ -1,8 +1,17 @@
-$NetBSD: patch-aa,v 1.9 2002/09/15 06:51:37 kim Exp $
+$NetBSD: patch-aa,v 1.10 2004/06/16 21:35:00 christos Exp $
 
---- pty.c.orig Mon Feb 11 07:44:18 2002
-+++ pty.c      Mon Aug  5 19:58:48 2002
-@@ -318,6 +318,45 @@
+--- pty.c.orig 2003-09-08 10:26:18.000000000 -0400
++++ pty.c      2004-06-16 17:28:12.000000000 -0400
+@@ -34,7 +34,7 @@
+ #endif
+ 
+ /* for solaris 2.1, Unixware (SVR4.2) and possibly others */
+-#ifdef HAVE_SVR4_PTYS
++#ifdef HAVE_SYS_STROPTS_H
+ # include <sys/stropts.h>
+ #endif
+ 
+@@ -332,6 +332,45 @@
  
  /***************************************************************/
  
diff -r 782140249306 -r 3a820bcb86c4 misc/screen/patches/patch-aj
--- a/misc/screen/patches/patch-aj      Wed Jun 16 20:53:33 2004 +0000
+++ b/misc/screen/patches/patch-aj      Wed Jun 16 21:35:00 2004 +0000
@@ -1,10 +1,11 @@
-$NetBSD: patch-aj,v 1.1 2002/09/15 06:51:38 kim Exp $
-
-Detect getutent correctly on NetBSD with utmpx.
+$NetBSD: patch-aj,v 1.2 2004/06/16 21:35:00 christos Exp $
 
---- configure.in.orig  Sat Sep 14 23:22:33 2002
-+++ configure.in       Sat Sep 14 23:37:06 2002
-@@ -798,9 +798,15 @@
+1. Detect getutent correctly on NetBSD with utmpx.
+2. Check sys/stropts.h header
+
+--- configure.in.orig  2003-06-03 07:58:24.000000000 -0400
++++ configure.in       2004-06-16 16:11:55.000000000 -0400
+@@ -815,9 +815,15 @@
  AC_TRY_LINK([
  #include <time.h> /* to get time_t on SCO */
  #include <sys/types.h>
@@ -21,3 +22,26 @@
  #else
  #include <utmp.h>
  #endif
+@@ -1209,6 +1215,7 @@
+ AC_TRY_LINK(,[vsprintf(0,0,0);], AC_MSG_RESULT(yes);AC_DEFINE(USEVARARGS), AC_MSG_RESULT(no))
+ 
+ AC_HEADER_DIRENT
++AC_CHECK_HEADERS(sys/stropts.h)
+ 
+ AC_MSG_CHECKING(for setenv)
+ AC_TRY_LINK(,[setenv((char *)0,(char *)0);unsetenv((char *)0);], AC_MSG_RESULT(yes);AC_DEFINE(USESETENV),
+
+--- config.h.in.orig   2003-12-05 08:59:39.000000000 -0500
++++ config.h.in        2004-06-16 15:58:52.000000000 -0400
+@@ -431,6 +431,11 @@
+ #undef HAVE_DIRENT_H
+ 
+ /*
++ * Define HAVE_SYS_STROPTS_H if your system has <sys/stropts.h>
++ */
++#undef HAVE_SYS_STROPTS_H
++
++/*
+  * If your system has getutent(), pututline(), etc. to write to the
+  * utmp file, define GETUTENT.
+  */
diff -r 782140249306 -r 3a820bcb86c4 misc/screen/patches/patch-ak
--- a/misc/screen/patches/patch-ak      Wed Jun 16 20:53:33 2004 +0000
+++ b/misc/screen/patches/patch-ak      Wed Jun 16 21:35:00 2004 +0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-ak,v 1.2 2002/11/04 22:39:19 hubertf Exp $
+$NetBSD: patch-ak,v 1.3 2004/06/16 21:35:00 christos Exp $
 
---- configure.orig     Mon Aug 12 16:34:23 2002
-+++ configure
-@@ -4984,9 +4984,15 @@
+--- configure.orig     2003-12-05 08:46:53.000000000 -0500
++++ configure  2004-06-16 16:12:06.000000000 -0400
+@@ -5572,9 +5572,15 @@
  
  #include <time.h> /* to get time_t on SCO */
  #include <sys/types.h>
@@ -19,3 +19,152 @@
  #else
  #include <utmp.h>
  #endif
+@@ -7502,6 +7508,148 @@
+ fi
+ 
+ 
++for ac_header in sys/stropts.h
++do
++as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++  echo "$as_me:$LINENO: checking for $ac_header" >&5
++echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++fi
++echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
++echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
++else
++  # Is the header compilable?
++echo "$as_me:$LINENO: checking $ac_header usability" >&5
++echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
++cat >conftest.$ac_ext <<_ACEOF
++#line $LINENO "configure"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++$ac_includes_default
++#include <$ac_header>
++_ACEOF
++rm -f conftest.$ac_objext
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++         { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_header_compiler=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_header_compiler=no
++fi
++rm -f conftest.$ac_objext conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
++echo "${ECHO_T}$ac_header_compiler" >&6
++
++# Is the header present?
++echo "$as_me:$LINENO: checking $ac_header presence" >&5
++echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
++cat >conftest.$ac_ext <<_ACEOF
++#line $LINENO "configure"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++#include <$ac_header>
++_ACEOF
++if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
++  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } >/dev/null; then
++  if test -s conftest.err; then
++    ac_cpp_err=$ac_c_preproc_warn_flag
++  else
++    ac_cpp_err=
++  fi
++else
++  ac_cpp_err=yes
++fi
++if test -z "$ac_cpp_err"; then
++  ac_header_preproc=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++  ac_header_preproc=no
++fi
++rm -f conftest.err conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
++echo "${ECHO_T}$ac_header_preproc" >&6
++
++# So?  What about this header?
++case $ac_header_compiler:$ac_header_preproc in
++  yes:no )
++    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
++echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
++echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
++    (
++      cat <<\_ASBOX
++## ------------------------------------ ##
++## Report this to bug-autoconf%gnu.org@localhost. ##
++## ------------------------------------ ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
++  no:yes )
++    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
++echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
++echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
++echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
++    (
++      cat <<\_ASBOX
++## ------------------------------------ ##
++## Report this to bug-autoconf%gnu.org@localhost. ##
++## ------------------------------------ ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
++esac
++echo "$as_me:$LINENO: checking for $ac_header" >&5
++echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  eval "$as_ac_Header=$ac_header_preproc"
++fi
++echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
++echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
++
++fi
++if test `eval echo '${'$as_ac_Header'}'` = yes; then
++  cat >>confdefs.h <<_ACEOF
++#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
++_ACEOF
++
++fi
++
++done
++
++
+ echo "$as_me:$LINENO: checking for setenv" >&5
+ echo $ECHO_N "checking for setenv... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF



Home | Main Index | Thread Index | Old Index